package cn.com.qmth.stmms.biz.common.domain.card;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Collections;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class FillArea {

    @JsonProperty("field")
    private String field;

    @JsonProperty("index")
    private int index;

    @JsonProperty("single")
    private boolean single;

    @JsonProperty("horizontal")
    private boolean horizontal;

    @JsonProperty("items")
    private List<FillItem> items = Collections.emptyList();

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public boolean isSingle() {
        return single;
    }

    public void setSingle(boolean single) {
        this.single = single;
    }

    public boolean isHorizontal() {
        return horizontal;
    }

    public void setHorizontal(boolean horizontal) {
        this.horizontal = horizontal;
    }

    public List<FillItem> getItems() {
        return items;
    }

    public void setItems(List<FillItem> items) {
        this.items = items;
    }
}
